Subject: Re: [PATCH 1/1] http: don't send C or POSIX in Accept-Language

From: Collin Funk <[email-masked]>
Date: Fri, 11 Jul 2025 15:17:26 -0700

Carlo Arenas <[email-masked]> writes:

>> I don't want to implement language tag parsing here since we don't need
>> to do that.  I would like to do the simple thing to prevent commonly
>> used locales that don't represent actual language tags from being
>> included and not overengineer this design
>
> I think that your design of filtering C and POSIX accomplishes that,
> even if it might seem like hardcoding those two values is a little dirty.

Thanks for correcting me regarding language tag length Carlo.

I guess I am fine with filtering out "C" and "POSIX" now. Not perfect,
but I think everyone agrees that we don't want to maintain a database of
language tags just for this.

Collin